Bug 735822 - kyotocabinet 1.2.70-1 built with problematic compiler flags
kyotocabinet 1.2.70-1 built with problematic compiler flags
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kyotocabinet (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
: Patch, Regression
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2011-09-05 11:33 EDT by Ville Skyttä
Modified: 2014-06-18 04:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: kyotocabinet-1.2.70-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-16 14:48:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Compiler flag fixes (406 bytes, patch)
2011-09-05 11:33 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2011-09-05 11:33:13 EDT
Created attachment 521512 [details]
Compiler flag fixes

kyotocabinet 1.2.70-1 is built with -march=native which quite probably means it'll break on systems that don't have all the features the build system has, and -g0 which makes its -debuginfo useless.

Attached is one way to fix it; probably it's better to use a patch than sed for modifying configure so it has less chance of breaking and going unnoticed in the future.
Comment 1 Casey Dahlin 2011-09-06 18:12:25 EDT
It looks to me like just passing --enable-devel will swap in a different set of CFLAGS/CXXFLAGS that fix the issues you mention (assuming -O2 doesn't have the offensive arch option). Does that look right to you?
Comment 2 Ville Skyttä 2011-09-07 15:38:38 EDT
--enable-devel will end up passing at least things like -UNDEBUG, and -D_KCDEBUG which sound potentially undesirable to me (haven't looked at the source though).  The offensive arch option will be used unless --disable-opt is used, and on the other hand using it will end up in -O0 so I don't see an option that results in desirable flags and doesn't involve some kind of patching.
Comment 3 Fedora Update System 2011-10-19 18:25:04 EDT
kyotocabinet-1.2.70-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kyotocabinet-1.2.70-2.fc15
Comment 4 Fedora Update System 2011-10-19 18:41:36 EDT
kyotocabinet-1.2.70-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kyotocabinet-1.2.70-2.fc16
Comment 5 Fedora Update System 2011-10-19 22:23:27 EDT
Package kyotocabinet-1.2.70-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kyotocabinet-1.2.70-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14612
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-12-16 14:48:23 EST
kyotocabinet-1.2.70-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-12-16 14:49:28 EST
kyotocabinet-1.2.70-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.